﻿using System;
using System.IO;
using Android.App;
using Android.Graphics;
using Android.Graphics.Drawables;
using Android.Widget;
using Android.OS;
using SixLabors.ImageSharp;

namespace ImageSharpTest
{
    [Activity(Label = "ImageSharpTest", MainLauncher = true)]
    public class MainActivity : Activity
    {
        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);

            // Set our view from the "main" layout resource
            SetContentView(Resource.Layout.Main);

            var drawable = Resources.GetDrawable(Resource.Drawable.cat);
            
            var path = System.IO.Path.Combine(System.Environment.GetFolderPath(System.Environment.SpecialFolder.Personal), "cat.jpg");
            if (!File.Exists(path))
            {
                using (var stream = new StreamWriter(path))
                {
                    (drawable as BitmapDrawable).Bitmap.Compress(Bitmap.CompressFormat.Jpeg, 90, stream.BaseStream);
                }
            }

            using (Image<Rgba32> image = Image.Load(path))
            {
                image.Mutate(m => m.Rotate(90));
                image.Save(path);
            }
        }
    }
}

